const first = require('./first');
var assert = require('assert');

describe('factorial(5)', function() {
  it('should return 120', function() {
    assert.equal(first.factorial(5), 120);
  });
});
describe('factorial(0)', function() {
  it('should return 1', function() {
    assert.equal(first.factorial(0), 1);
  });
});
describe('factorial(12)', function() {
  it('should return 479001600', function() {
    assert.equal(first.factorial(12), 479001600);
  });
});


describe('fromBinary("101010")', function() {
  it('should return 42', function() {
    assert.equal(first.fromBinary("101010"), 42);
  });
});

describe('fromBinary("00000001")', function() {
  it('should return 1', function() {
    assert.equal(first.fromBinary("00000001"), 1);
  });
});
describe('fromBinary("11111111")', function() {
  it('should return 1', function() {
    assert.equal(first.fromBinary("11111111"), 255);
  });
});
describe('quersumme(123)', function() {
  it('should return 6', function() {
    assert.equal(first.quersumme(123), 6);
  });
});
describe('quersumme(99999999999)', function() {
  it('should return 9', function() {
    assert.equal(first.quersumme(99999999999), 9);
  });
});
describe('quersumme(1234)', function() {
  it('should return 1', function() {
    assert.equal(first.quersumme(1234), 1);
  });
});
